ImportError: Nenhum módulo chamado pip

| | | | | | | | | | | | | | | | | | | |

SO: Mac OS X 10.7.5 Python Ver: 2.7.5

Instalei setuptools 1.0 com ez_setup.py de https://pypi.python.org/pypi/setuptools Então eu baixo pip.1.4.1 pkg de https://pypi.python.org/pypi/pip/1.4.1.

Executar (sudo) python setup.py install no iTerm mostra que

executando install executando bdist_egg executando egg_info escrevendo requisitos para pip.egg-info/requires .txt escrevendo pip.egg-info/PKG-INFO escrevendo nomes de nível superior para pip.egg-info/top_level.txt escrevendo dependência_links para pip.egg-info/dependency_links.txt escrevendo pontos de entrada para pip.egg-info/entry_points .txt aviso: manifest_maker: arquivo padrão "setup.py" não encontrado lendo o arquivo de manifesto "pip.egg-info/SOURCES.txt" escrevendo o arquivo de manifesto "pip.egg-info/SOURCES.txt" instalando o código da biblioteca para build/bdist .macosx-10,6-in tel/egg executando install_lib aviso: install_lib: "build/lib" não existe -- não há módulos Python para instalar criando build/bdist.macosx-10.6-intel/egg criando build/bdist.macosx-10.6-intel/egg/EGG -INFO copiando pip.egg-info/PKG-INFO -> build/bdist.macosx-10.6-intel/egg/EGG-INFO copiando pip.egg-info/SOURCES.txt -> build/bdist.macosx-10.6-intel/egg/EGG-INFO copiando pip.egg-info/dependency_links.txt -> build/bdist.macosx-10.6-intel/egg/EGG-INFO copiando pip.egg-info/entry_points.txt -> build/bdist.macosx-10.6-intel/egg/EGG-INFO copiando pip.egg-info/not-zip-safe -> build/bdist.macosx-10.6-intel/egg/EGG-INFO copiando pip.egg-info/requires.txt -> build/bdist.macosx-10.6-intel/egg/EGG-INFO copiando pip.egg-info/top_level.txt -> build/bdist.macosx-10.6-intel/egg/EGG-INFO criando "dist/pip-1.4.1-py2.7.egg" e adicionando "build/bdist.macosx-10.6-intel/egg" removendo " build/bdist.macosx-10.6-intel/egg" (e tudo sob ele) Processando pip-1.4.1-py2.7.egg removendo "/Users/dl/Library/Python/2.7/lib/python/site-packages /pip-1.4.1-py2.7.egg" (e tudo sob ele) criando /Users/dl/Library/Python/2.7/lib/python/site-packages/pip-1.4.1-py2.7.egg Extraindo pip-1.4.1-py2.7.egg para /Users/dl/Library/Python/2.7/lib/python/site-packages pip 1.4.1 já é a versão ativa em easy-install.pth Instalando o script pip para /Users/dl/Library/Python/2.7/bin Instalando o script pip-2.7 em /Users/dl/Library/Python/2.7/bin Instalado /Users/dl/Library/Python/2.7/lib/python/site-packages/ pip-1.4.1-py2.7.egg Processando dependências para pip==1.4.1 Concluído processamento de dependências para pip==1.4.1 

Então eu inseri pip install, a mensagem de erro apareceu assim

Traceback (última chamada mais recente): Arquivo "/Library/Frameworks/Python.framework/Versions/2.7/bin/pip", linha 9, em <module> load_entry_point("pip==1.4.1", "console_scripts", "pip")() Arquivo "build/bdist.macosx-10.6-intel/egg/pkg_resources.py", linha 357, no arquivo load_entry_point "build/bdist .macosx-10.6-intel/egg/pkg_resources.py", linha 2394, no arquivo load_entry_point "build/bdist.macosx-10.6-intel/egg/pkg_resources.py", linha 2108, no carregamento ImportError: Nenhum módulo chamado pip 

Alguém que já se deparou com o mesmo problema e pode me dar algumas dicas para resolvê-lo?